package de.dhbwstuttgart.bytecode.genericsGeneratorTypes;

import java.util.List;

import de.dhbwstuttgart.bytecode.constraint.TPHConstraint;

public class ConstraintsWithSameLeftSide {
	private List<TPHConstraint> constraints;

	/**
	 * @param constraints
	 */
	public ConstraintsWithSameLeftSide(List<TPHConstraint> constraints) {
		this.constraints = constraints;
	}

	/**
	 * @return the constraints
	 */
	public List<TPHConstraint> getConstraints() {
		return constraints;
	}

	/**
	 * @param constraints the constraints to set
	 */
	public void setConstraints(List<TPHConstraint> constraints) {
		this.constraints = constraints;
	}

	@Override
	public String toString() {
		return "[" + constraints.toString() + "]";
	}
}
